//*********************************************************
//
// Copyright (c) Microsoft. All rights reserved.
// This code is licensed under the MIT License (MIT).
// THIS CODE IS PROVIDED *AS IS* WITHOUT WARRANTY OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING ANY
// IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR
// PURPOSE, MERCHANTABILITY, OR NON-INFRINGEMENT.
//
//*********************************************************

struct PSInput
{
	float4 inVertex : SV_POSITION;
	float2 inTexCoord : TEXCOORD;
	float4 inNormal : COLOR;
};

cbuffer ConstantBuffer : register(b0)
{
	float4x4 finalMatrix;
};

Texture2D texture0 : register(t0);
SamplerState g_sampler : register(s0);

PSInput VSMain(float3 inVertex : POSITION, float4 inTexCoord : TEXCOORD, float3 inNormal : COLOR)
{
	PSInput result;

	result.inVertex = mul(finalMatrix, float4(inVertex, 1.0));
	result.inTexCoord = inTexCoord;
	result.inNormal = float4(inNormal, 1.0);

	return result;
}

float4 PSMain(PSInput input) : SV_TARGET
{
	float4 outColor = input.inNormal*texture0.Sample(g_sampler, input.inTexCoord);
	return outColor;
}
