#version 130

uniform mat4 mvMat;
uniform mat4 projMat;
uniform vec3 offset;

in vec3 inVertex;
in vec2 inTexCoord;
in vec3 inNormal;
out vec4 color;
out vec2 texCoord;

void main(void) 
{
	mat4 finalMatrix = projMat * mvMat;
	vec3 finalPosition = inVertex;
	if(finalPosition.z > 2.5)
		finalPosition.y += offset.x;
	else if(finalPosition.z > 1.5)
		finalPosition.y += offset.y;
	else if(finalPosition.z > 0.5)
		finalPosition.y += offset.z;
	gl_Position = finalMatrix * vec4(finalPosition, 1.0);
	color = vec4(inNormal, 1.0);
	texCoord = inTexCoord;
}
